Bug 430871 - Problem with dependency resolving
Problem with dependency resolving
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 05:37 EST by Zdenek Kabelac
Modified: 2009-07-14 12:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2008-01-30 05:37:23 EST
Description of problem:

During today's rawhide update  apt-get upgrade resolved some packages which must
be kept back due to unsatisfied dependencies - I'm running 64bit version,
however for some compatibility reasons I've certain set of i386 libs installed
as well. Today 32bit gtk2 package has been marked to be kept back
   gtk2.32bit (2.12.5-1.fc9 => 2.12.6-1.fc9)
but 64bit version of the same package was marked for upgrade - result was
dependency problem during 64bit gtk2 upgrade installation (multiarch)
(LC_MESSAGES collision).

Actually I'm unsure if this is problem of APT or GTK package - but my assumption
is that in the multiarch library both arch should have the same version, because
of some 'shared' files ?

So maybe when 32bit package is marked for keeping back - the same should apply
to 64bit version ? So maybe some fix in the dependency tracking code inside
apt-get would be necessary ?

Otherwise the apt-get is way better than any yum combination ;) 

Version-Release number of selected component (if applicable):
apt-0.5.15lorg3.94-1.fc9.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Axel Thimm 2008-01-30 06:50:49 EST
Packages in multilib pairs need to have proper attributes on common files, e.g.
either have identical files or exlcude some attributes to check.

This is usually checked by packagers for the same version of a package. So most
probably the gtk package is OK, but when apt found out that one arch branch
needed to be kept back, while the other could be installed, it created a
situation where two different versions were to be installed (one for each arch).

The true bug is in what kept the gtk upgrade held back. OTOH what you suggest
would make apt more error resilient. In any case it's an upstream request, not a
packaging one ;)
Comment 2 Panu Matilainen 2008-01-30 07:09:21 EST
This is quite possibly another unwanted side-effect of the recent multilib hacks
that were supposed to solve some things but seem to cause new problems instead,
sigh. 

I'll have a look...
Comment 3 Zdenek Kabelac 2008-01-30 08:21:34 EST
Just a minor update - via yumex it was possible to update both gtk2 version at
the same time - so some bug must be in the apt-get resolver which not allowed to
update gtk2 32bit version probably (as Axel said...)


(Even thought there are still plenty of packages which cannot be upgraded today)
Comment 4 Bug Zapper 2008-05-14 00:55:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:27:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:11:27 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.